## ros-indigo-sr-description 1.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(sr_description)
find_package(catkin REQUIRED COMPONENTS urdf xacro)
include_directories(${Boost_INCLUDE_DIR} ${catkin_INCLUDE_DIRS})

catkin_package(
    DEPENDS
    CATKIN_DEPENDS urdf xacro position_controllers robot_mechanism_controllers
    INCLUDE_DIRS
    LIBRARIES
)

catkin_add_gtest(test_sr_description_urdf test/test_sr_description_urdf.cpp)
add_dependencies(test_sr_description_urdf ${catkin_EXPORTED_TARGETS})
target_link_libraries(test_sr_description_urdf ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${GTEST_LIBRARIES} pthread)

install(DIRECTORY arm/
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/arm)

install(DIRECTORY hand/
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/hand)

install(DIRECTORY loaders/
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/loaders)

install(DIRECTORY other/
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/other)

install(DIRECTORY robots/
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/robots)

install(FILES materials.urdf.xacro
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-indigo-sr-description (1.4.0-0trusty) trusty; urgency=high

  * removing cartesian control - not implemented in ros-control + changing to the new traj controller
  * Inertia now exact values, with inertia tensor at COM (gazebo and ode support the small values now)
    Removed explicit viscous damping from sr_gazebo_plugin,
    enabled springDamper in each joint (implicit viscous damping)
    changed simulation parameters for stability
    and retuned the controllers, explicitely define friction_deadband for simulated controllers (default is for real hand and is too high)
  * Added mechanicalReduction to get valid URDF, still warnings about doubled joints or collision that are allowed actually
  * Fixed color problems in biotac and forearm_lite
  * adding the missing is_lite=0 param
  * Rough weight guess for forearm
  * Remove wrist mount collider
  * Fix forearm collision.
  * Fix forearm color in gazebo
  * Fix scale
  * Rotate the forearm
  * Bring in the new forearm part.
  * Start on xacro.
  * Added a wrist mount collision box (motor and muscle hand)
    Added more precision to the palm collision shape (still using boxes)
  * Add model for bimanual motor hand robot
  * Changed inertia and force limits for biotac fingertip
  * Upgraded kinect definition to use plugins, reactivated simulated kinect.
  * Add the missing mesh for the finger biotac adapter.
  * sr_description upgrade from groovy to hydro + update from hydro to indigo
    new collision model port from hydro to indigo
    fixed biotac finger missing the prefix parameter and middle transmission parameters
    fixed thumb vibrations (tuning and collision model)
    updated middle transmission to new J0Transmission syntax

 -- Shadow Robot's software team <software@shadowrobot.com>  Mon, 06 Apr 2015 23:00:00 -0000

ros-indigo-sr-description (1.3.1-0trusty) trusty; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Thu, 17 Jul 2014 23:00:00 -0000

ros-indigo-sr-description (1.3.0-0trusty) trusty; urgency=high

  * first hydro release

 -- Shadow Robot's software team <software@shadowrobot.com>  Tue, 11 Feb 2014 00:00:00 -0000

=== debian/control ===
Source: ros-indigo-sr-description
Section: misc
Priority: extra
Maintainer: Shadow Robot's software team <software@shadowrobot.com>
Build-Depends: debhelper (>= 9.0.0), libgtest-dev, liburdfdom-dev, ros-indigo-catkin, ros-indigo-urdf, ros-indigo-xacro
Homepage: http://ros.org/wiki/sr_description
Standards-Version: 3.9.2

Package: ros-indigo-sr-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-position-controllers, ros-indigo-robot-mechanism-controllers, ros-indigo-urdf, ros-indigo-xacro
Description: sr_description contains the description for Shadow Robot's Hand and Arm, as well as some additional models used in our robot (kinect, etc...).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-sr-description//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
